package com.base.locationsharewhite.utils

import android.content.Context
import android.content.Intent
import android.net.Uri
import android.provider.Settings

object IntentUtils {

    fun intentAppDetailsSettings(context: Context): Intent {
        val intent: Intent = Intent(Settings.ACTION_APPLICATION_DETAILS_SETTINGS)
        val uri = Uri.fromParts("package", context.packageName, null)
        intent.setData(uri)
        return intent
    }

    fun intentLocationSetting(): Intent {
        val intent: Intent = Intent(Settings.ACTION_LOCATION_SOURCE_SETTINGS)

        return intent
    }
}